<div class="row">
    <div class="col-md-8">
        <div class="card">
            <div class="card-header pb-0">
                <div >                    
                    <%= link_to(events_path, class:"btn bg-gradient-primary") do%>
                        <i class="fa fa-list-ol"></i>&nbsp;&nbsp;Event list
                    <%end%>
                </div>
            </div>
            <%= form_with(model: event) do |f| %>
              <% if event.errors.any? %>
                <div style="color: red">
                  <h2><%= pluralize(event.errors.count, "error") %> prohibited this event from being saved:</h2>

                  <ul>
                    <% event.errors.each do |error| %>
                      <li><%= error.full_message %></li>
                    <% end %>
                  </ul>
                </div>
              <% end %>

              <div class="card-body">                          
                  <div class="row">
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Event name</label>                              
                              <%= f.text_field :name, class: 'form-control', :required => true, placeholder: "Name for the event {Seis loco familia Perez}" %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Event date</label>
                              <%= f.date_field :eventDate, class: 'form-control', :required => true %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Start time</label>
                              <%= f.time_field :timeIni, class: 'form-control', :required => true %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">End time</label>
                              <%= f.time_field :timeEnd, class: 'form-control', :required => true %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Players (Qty)</label>
                              <%= f.number_field :people, class: 'form-control', :required => true, :step => 4, min: 4, placeholder: "Multiples of 4 {4, 8, 12, 16...}" %>
                          </div>
                      </div>                      
                      <div class="col-md-8">
                          <div class="form-group">
                              <label for="example-text-input" class="form-control-label">Category</label>
                              <%= f.select :level, options_for_select(Player::CATEGORY.collect { |category|
                                                                         [category.to_i.ordinalize] }, event.level), {}, {id: 'select2_category',class:"form-control m-b",  required: true} %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">                                                                                                                        
                              <%= f.label "Mixed cuople", "Mixed cuople", value: "true"  %>
                              <%= f.radio_button :mixed, true, checked: true%>
                              <%= f.label "Fixed couple", "Fixed cuople", value: "false" %>
                              <%= f.radio_button :mixed, false %>
                          </div>
                      </div>
                      <div class="col-md-8">
                          <div class="form-group">                                                                                                                        
                              <%= f.label "Public event", "Public event", value: "true"  %>
                              <%= f.radio_button :public, true, checked: true%>
                              <%= f.label "Private event", "Private event", value: "false" %>
                              <%= f.radio_button :public, false %>
                          </div>
                      </div>
                  </div>
                  <hr class="horizontal dark">
                  <div class="form-group">
                    <div class="col-sm-4 col-sm-offset-2">                      
                      <%= button_tag(type: 'submit', class: "btn bg-gradient-success ms-auto") do %>
                        Save&nbsp;&nbsp;<i class="fa fa-database"></i>
                      <% end %>
                    </div>
                  </div>
                  
              </div>
            <% end %>

        </div>
    </div>                
</div>
<script type="text/javascript">
  // In your Javascript (external .js resource or <script> tag)
  $(document).ready(function() {
      //$('.js-example-basic-single').select2();
      $('#select2_category').select2();      
  });
</script>